(define (script-fu-autocolor img)

	; start undo block
	(gimp-undo-push-group-start img)

	; Das aktive Layer mit 1stlayer adressieren
	(set! 1stlayer (car (gimp-image-get-active-layer img)))
	
	;Autolevel Colors
	(gimp-levels-stretch 1stlayer)
	
	; stop undo block
	(gimp-undo-push-group-end img)


	; Display aktualisieren
	(gimp-displays-flush)
	
	
)

(script-fu-register "script-fu-autocolor" 
	_"Autocolor"
	"Autocolor"
	"Pierre Wasser <pierre@samthammel.de>"
	"Pierre Wasser"
	"23.07.2007"
	"RGB*, GRAY*"
	SF-IMAGE "Image" 0
	SF-DRAWABLE "Layer" 0
)

(script-fu-menu-register "script-fu-autocolor"
                         _"<Image>/Script-Fu")
